// This class enables defining an event

// 	Name: Event (class)
//	Author: Arjan Egges
//	Version: 1.0


class Event {

   // Property variables
   public String name;
   
   public float startPosX;
   public float startPosY;
   public float endPosX;
   public float endPosY;
   public int kind;
   
   public boolean critical;
   
   // Constructor
   public Event() {
      name = "noname";
      startPosX = -10.0f;
      startPosY = 0.0f;
      endPosX = 10.0f;
      endPosY = 0.0f;
      kind = Constant.STRAIGHTROAD;
      critical = false;
   }

   // Prints the event
   public void print() {
      System.out.println("Name = "+name+"\n");
      System.out.println("StartposX = "+ String.valueOf(startPosX)+"\n");
      System.out.println("EndposX = "+ String.valueOf(endPosX)+"\n");
      System.out.println("StartposY = "+ String.valueOf(startPosY)+"\n");
      System.out.println("EndposY = "+ String.valueOf(endPosY)+"\n");
      System.out.println("Kind = "+Constant.kindToString(kind)+"\n");
      
   }
}