// Class containing property variables for running the simulations

// 	Name: Properties (class)
//	Author: Arjan Egges
//	Version: 1.0

class Properties {

   public boolean textureOn;
   public boolean createEnvironment;
   public int duration;
   
   // Accident planning properties
   public float initCircleRadius;
   public int trajectoryPrecision; 
   public float stopPerc;
   public float maxSearchRadius;
   
   // Constructor
   public Properties() {
      textureOn = true;
      createEnvironment = true;
      duration = 5;
      
      initCircleRadius = 2.0f;
      trajectoryPrecision = 10;
      stopPerc = 20.0f;
      maxSearchRadius = 8.0f;
   }
}